<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SmsSentWeiFaSong.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.smsmanage.SmsSentWeiFaSong" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>未发送短信</title>
     <link href="../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/jquery/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script src="../scripts/ui/json2.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/core/base.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/ligerui.min.js" type="text/javascript"></script>
    <link href="../scripts/ui/skins/Tab/css/tab.css" rel="stylesheet" type="text/css" />
    <link href="../scripts/ui/skins/Tab/css/grid.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/ui/js/plugins/ligerGrid.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerLayout.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerTree.js" type="text/javascript"></script>
    <script src="../scripts/ui/js/plugins/ligerMenu.js" type="text/javascript"></script>
    <script src="../scripts/CustomersData.js" type="text/javascript"></script>
    <link href="../scripts/ui/skins/ligerui-icons.css" rel="stylesheet" type="text/css" />
    <link href="../images/style.css" rel="stylesheet" type="text/css" />
    <script src="../scripts/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            InitList();
        });
        function InitList() {
            var sql = GetSql();
            try {
                gridlist = $("#divDataList").ligerGrid({
                    checkbox: true,
                    height: '99%',
                    columns: [
                { display: 'Id', name: '_smsid', width: '1%', hide: 'Id' },
                { display: '电话号码', name: '_telnum', align: 'left', width: '10%' },
                { display: '短信内容', name: '_content', width: '69%' },
                { display: '提交时间', name: '_committime', width: '15%', type: 'date', format: 'yyyy-MM-dd hh:mm:ss' }
                ],

                    url: '../smsmanage/ajax/SmsSentAlWeiAjax.ashx?action=getLoadlist&tel=' + document.getElementById("txtF_OptName").value, pageSize: 10, rownumbers: true
                });
            }
            catch (e) {
                alert(e.Message);
            }
            gridlist.changePage('first');
            $("#pageloading").hide();
        }

        function GetSql() {
            var sql = "";
            if (document.getElementById("txtF_OptName").value != "") {
                sql += " and  TelNum like '%" + document.getElementById("txtF_OptName").value + "%'";
            }
            return sql;
        }

        function Delete() {
            try {
                //获取选择的行
                var rows = gridlist.getSelectedRows();
                if (rows.length > 0) {
                    $.ligerDialog.confirm('确定要批量删除选择的记录吗？', function (yes) {
                        if (yes) {
                            try {
                                var arr = new Array();
                                var i = 0;
                                for (var i = 0; i < rows.length; i++) {
                                    arr[i] = rows[i]._smsid;
                                }
                                $.post("../smsmanage/ajax/SmsSentAlWeiAjax.ashx?action=delete&arrid=" + arr.toString(), function (data) {
                                    if (data == "success") {
                                        $.ligerDialog.success('删除成功');
                                        InitList();
                                    }
                                    else {
                                        $.ligerDialog.error('删除失败');
                                    }
                                });
                            }
                            catch (e) {
                                alert(e.Message);
                            }
                        }
                        else {
                        }
                    });
                }
                else {
                    $.ligerDialog.error('没有选择要删除的参数');
                }
            }
            catch (e) {
                $.ligerDialog.error(e.Message);
            }
        }
        document.onkeydown = function (event) {
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (e && e.keyCode == 13) {
                InitList();
            }
        };
    </script>
</head>
<body>
    <form id="form2" runat="server">
    <div class="tools_box">
        <div class="tools_bar">
   
            <a class="tools_btn" href="#" onclick="Delete();"><span>
                    <b class="delete">批量删除</b></span> </a>
                      
            <div class="search_box">
                电话号码：<asp:TextBox ID="txtF_OptName" runat="server" CssClass="txtInput"></asp:TextBox>&nbsp;&nbsp;
                
                <input id="btnSearch" type="button" value="搜 索" class="btnSearch" onclick="InitList();" />
                <input id="btnGaoJiSearch" type="button" value="高级搜索" class="btnSearch" style="display:none" />
            </div>
        </div>
    </div>
    <div id="layout1">
      <div position="center" title="未发短信列表">
            <div id="divDataList">
            </div>
        </div>
    </div>
    </form>
</body>
</html>
